Bug 1826502 - PriorityClass resource quota e2e tests can preempt other tests in e2e conformance
Summary: PriorityClass resource quota e2e tests can preempt other tests in e2e conform...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Clayton Coleman
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 19:49 UTC by Clayton Coleman
Modified: 2020-07-13 17:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:29:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 24891 0 None closed Bug 1826502: PriorityClass tests can cause preemptions 2020-12-13 04:47:58 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:30:10 UTC

Description Clayton Coleman 2020-04-21 19:49:05 UTC
The resource quota priority class preemption tests run in parallel, and were observed to cause a preemption of another test. The tests have no need to schedule to a node in order to verify resource quota.

```
Apr 19 16:59:06.749: INFO: At 2020-04-19 16:58:52 +0000 UTC - event for pod-init-b6fbd440-dbc2-454a-b31a-ce44266298d1: {default-scheduler } Scheduled: Successfully assigned e2e-init-container-7691/pod-init-b6fbd440-dbc2-454a-b31a-ce44266298d1 to ip-10-0-148-234.us-west-2.compute.internal
Apr 19 16:59:06.750: INFO: At 2020-04-19 16:58:54 +0000 UTC - event for pod-init-b6fbd440-dbc2-454a-b31a-ce44266298d1: {default-scheduler } Preempted: Preempted by e2e-resourcequota-priorityclass-8850/testpod-pclass9 on node ip-10-0-148-234.us-west-2.compute.internal
```

Fix is upstream to not schedule to the node.

Comment 3 Ke Wang 2020-05-06 03:32:01 UTC
Searched the related keywords 'Preempted by e2e-resourcequota-priorityclass' from latest 7 days logs in the search service, no results found, the problem was gone. So moved bug verify.

Comment 4 errata-xmlrpc 2020-07-13 17:29:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.